org.apache.commons.collections4.iterators

## Class EmptyListIterator<E>

- java.lang.Object
- - org.apache.commons.collections4.iterators.EmptyListIterator<E>

- All Implemented Interfaces:
    Iterator<E>, ListIterator<E>, OrderedIterator<E>, ResettableIterator<E>, ResettableListIterator<E>

      public class EmptyListIterator<E>
      extends Object
      implements ResettableListIterator<E>

  Provides an implementation of an empty list iterator.

  This class provides an implementation of an empty list iterator. This class provides for binary compatibility between Commons Collections 2.1.1 and 3.1 due to issues with `IteratorUtils`.

  Since:
    2.1.1 and 3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ListIterator` | `INSTANCE` Singleton instance of the iterator.
    `static ResettableListIterator` | `RESETTABLE_INSTANCE` Singleton instance of the iterator.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EmptyListIterator()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(E obj)`
    `static <E> ListIterator<E>` | `emptyListIterator()` Get a typed instance of the iterator.
    `boolean` | `hasNext()`
    `boolean` | `hasPrevious()`
    `E` | `next()`
    `int` | `nextIndex()`
    `E` | `previous()`
    `int` | `previousIndex()`
    `void` | `remove()`
    `void` | `reset()`
    `static <E> ResettableListIterator<E>` | `resettableEmptyListIterator()` Get a typed instance of the iterator.
    `void` | `set(E obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.ListIterator

      `add, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove, set`

    - ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

      `reset`

    - ### Methods inherited from interface org.apache.commons.collections4.OrderedIterator

      `hasPrevious, previous`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### RESETTABLE_INSTANCE

          public static final ResettableListIterator RESETTABLE_INSTANCE

      Singleton instance of the iterator.
      Since:
        3.1

    - #### INSTANCE

          public static final ListIterator INSTANCE

      Singleton instance of the iterator.
      Since:
        2.1.1 and 3.1

  - ### Constructor Detail

    - #### EmptyListIterator

          protected EmptyListIterator()

      Constructor.

  - ### Method Detail

    - #### resettableEmptyListIterator

          public static <E> ResettableListIterator<E> resettableEmptyListIterator()

      Get a typed instance of the iterator.
      Type Parameters:
        `E` - the element type
      Returns:
        `ResettableListIterator`<E>

    - #### emptyListIterator

          public static <E> ListIterator<E> emptyListIterator()

      Get a typed instance of the iterator.
      Type Parameters:
        `E` - the element type
      Returns:
        `ListIterator`<E>

    - #### hasNext

          public boolean hasNext()

    - #### next

          public E next()

    - #### hasPrevious

          public boolean hasPrevious()

    - #### previous

          public E previous()

    - #### nextIndex

          public int nextIndex()

    - #### previousIndex

          public int previousIndex()

    - #### add

          public void add(E obj)

    - #### set

          public void set(E obj)

    - #### remove

          public void remove()

    - #### reset

          public void reset()

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.